Bug 816469 - could not using IBus when edit map
could not using IBus when edit map
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vym (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 03:33 EDT by Jian He
Modified: 2013-02-13 20:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:54:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jian He 2012-04-26 03:33:45 EDT
Description of problem:


Version-Release number of selected component (if applicable):
vym 1.13.41-2.fc16
qt 4.8.1-5.fc16

How reproducible:
always.

Steps to Reproduce:
1. run vym
2. double click the New map to edit it
3. press ctrl + space could not switch the ibus input method, and could not input with wished input method.
  
Actual results:


Expected results:
press ctrl + space can switch the ibus input method, and using the ibus input method to input char other than english.

Additional info:
Comment 1 Jian He 2012-04-26 06:27:53 EDT
This is my ibus.conf:

IM=ibus
XIM_PROGRAM="/usr/bin/ibus-daemon"
ICON="ibus"
XIM_ARGS="-r --xim"
PREFERENCE_PROGRAM=/usr/bin/ibus-setup
SHORT_DESC="IBus"
GTK_IM_MODULE=ibus

if test -f /usr/lib/qt4/plugins/inputmethods/libqtim-ibus.so || \
   test -f /usr/lib64/qt4/plugins/inputmethods/libqtim-ibus.so;
then
    QT_IM_MODULE=ibus
else
    QT_IM_MODULE=xim
fi

I can using input method after install the ibus-qt package. But could not using input method if do not install the ibus-qt package.
Comment 2 Gwyn Ciesla 2012-04-26 08:45:29 EDT
I'm not sure that this is necessarily a bug in vym.  It's a qt app, and I would expect that to use ibus with a qt app, ibus-qt would be needed.  I'm not sure what the right way to solve this would be.

CCing ibus/ibus-qt maintainer.

Takao, do you have an ideas for an elegant resolution to this issue?
Comment 3 fujiwara 2012-04-30 23:01:52 EDT
I think you need to install ibus-qt if you use ibus IM engines.
Comment 4 Fedora End Of Life 2013-01-16 18:29:30 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 20:54:28 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.